Page MenuHomePhabricator

show ip ospf neighbor A.B.C.D does not work
Closed, ResolvedPublicBUG

Description

Hey,

I can't get details about an specific ospf neighbor

tom@vyos:~$ show ip ospf neighbor

Neighbor ID     Pri State           Dead Time Address         Interface            RXmtL RqstL DBsmL
10.10.0.2    1 Full/Backup       34.260s 10.11.0.1   eth0:10.11.0.2       0     0     0
10.10.0.7    1 Full/DR           30.317s 10.12.0.3   eth1:10.12.0.4        0     0     0
tom@vyos:~$ show ip ospf neighbor 10.10.0.2
Please specify Neighbor ID by A.B.C.D

Not really sure whats happend in the background. Looks a bit like, vyos does not pass the id to the frr.

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.2.0-RC6
Why the issue appeared?
Issues in third-party code
MrFunken created this task.Nov 19 2018, 2:40 PM

I confirm this issue at VyOS 1.2.0-rolling+201811290337

syncer assigned this task to dmbaturin.Dec 1 2018, 5:48 PM
syncer triaged this task as Normal priority.
syncer edited projects, added VyOS 1.2 Crux ( VyOS 1.2.0-rc11); removed VyOS 1.2 Crux.
pasik added a subscriber: pasik.Dec 16 2018, 11:22 AM
dmbaturin closed this task as Resolved.Dec 16 2018, 3:36 PM

That command works for me in the upcoming rc, so I assume they fixed it.

Line2 added a subscriber: Line2.Dec 17 2018, 10:15 AM

in VyOS 1.2.0-rolling+201812162050 the bug is still existing, but I will test in next RC here.

MrFunken reopened this task as Open.EditedDec 18 2018, 12:29 AM

I'm not sure which release you have Daniil, but in the latest RC (11) the issue still exists.

tom@vyos:~$ show version 
Version:          VyOS 1.2.0-rc11
Built by:         dmbaturin@jessiedevel
Built on:         Mon 17 Dec 2018 23:04 UTC
Build ID:         20a005ca-b5e2-4086-9b96-34a66caab713

Architecture:     x86_64
Boot via:         installed image
System type:      bare metal

Hardware vendor:  HP
Hardware model:   ProLiant SE316M1
Hardware S/N:     Unknown
Hardware UUID:    Unknown

Copyright:        VyOS maintainers and contributors
tom@vyos:~$ show ip ospf neighbor 

Neighbor ID     Pri State           Dead Time Address         Interface            RXmtL RqstL DBsmL
160.238.96.194    1 Full/DR           32.985s 160.238.96.29   vxlan100:160.238.96.30     0     0     0
160.238.96.197    1 Full/DR           39.202s 160.238.96.2    vxlan110:160.238.96.1     0     0     0
160.238.96.199    1 Full/DR           32.454s 160.238.96.17   vxlan140:160.238.96.18     0     0     0

tom@vyos:~$ show ip ospf neighbor 160.238.96.194
Please specify Neighbor ID by A.B.C.D

I could reproduce it in today's FRR master. I'm reporting the issue to FRR maintainers.

https://github.com/FRRouting/frr/issues/3544

dmbaturin closed this task as Resolved.Dec 31 2018, 3:40 PM

FRR people fixed it rather quickly!

vyos@vyos-test-2# run show ip ospf neighbor 10.217.35.254
 Neighbor 10.217.35.254, interface address 10.217.32.254
    In the area 0.0.0.0 via interface eth0
    Neighbor priority is 1, State is Full, 6 state changes
    Most recent state change statistics:
      Progressive change 1m45s ago
    DR is 10.217.32.254, BDR is 10.217.32.173
    Options 2 *|-|-|-|-|-|E|-
    Dead timer due in 34.515s
    Database Summary List 0
    Link State Request List 0
    Link State Retransmission List 0
    Thread Inactivity Timer on
    Thread Database Description Retransmision off
    Thread Link State Request Retransmission on
    Thread Link State Update Retransmission on
dmbaturin changed Why the issue appeared? from Will be filled on close to Issues in third-party code.
Line2 added a comment.Jan 2 2019, 11:56 AM

I can confirm, it's fixed in VyOS-1.2.0-EPA2